Package org.apache.naming

## Class ResourceEnvRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.ResourceEnvRef

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

    public class ResourceEnvRef
    extends AbstractRef

Represents a reference address to a resource environment.

Author:
  Remy Maucherat
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_FACTORY` Default factory for this reference.

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
`ResourceEnvRef​(java.lang.String resourceType)` Resource env reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getDefaultFactoryClassName()`

### Methods inherited from class org.apache.naming.AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

Default factory for this reference.

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceEnvRef

    public ResourceEnvRef​(java.lang.String resourceType)

Resource env reference.

Parameters:
  `resourceType` - Type

### Method Detail

#### getDefaultFactoryClassName

    protected java.lang.String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`